Skip to content

Reopen a closed loan

Request

Reopen a closed line of credit. This will allow new draws to be added. By default, draws in paidOff status will not be reopened, and a line of credit that has transitioned to paidOff status cannot be reopened. Set force to true to also reopen the line and all of its draws when they are paidOff (e.g. for a post-closure balance correction). No special permission is required beyond loan:reopen.

Security
oauth2(Required scopes: loan:reopen) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/json
caseIdstring

An identifier for an existing case.

forceboolean

If true, reopen the line of credit and all of its draws even when they are in paidOff status.

Default:false
reopenReasonstring

The reason the loan is being reopened.

POST
/people/{personId}/loans/{loanId}/reopen
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/reopen' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "caseId": "string",
    "force": false,
    "reopenReason": "string"
  }'

Responses

Success no content